<ion-header translucent="true">
  <ion-toolbar>
    <ion-title class="margin-auto">
      Dispensador de pastillas
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">
  <ion-header collapse="condense">
    <ion-toolbar color="tertiary">
      <ion-title  size="large">Dispensador de pastillas</ion-title>
    </ion-toolbar>
  </ion-header>

  <div id="container">
    <ion-card> 
      <ion-card-header>
        <ion-card-title>Estado</ion-card-title>
        <ion-card-subtitle>Puedes cambiar el estado del dispensador de pastillas</ion-card-subtitle>
      </ion-card-header>
      
      <ion-card-content>
        <ion-item>
          <ion-icon class="margin-auto medium" name="power" [color]="color"></ion-icon>
          <ion-toggle (click)="changeState()" class="margin-auto" name="checkState" value="{{ state }}" [checked]="checked"
            [color]="color">
          </ion-toggle>
          <ion-chip class="margin-auto" [color]="color">
            <ion-label [color]="color">{{ state }}</ion-label>
          </ion-chip>
        </ion-item>
        
      </ion-card-content>
    </ion-card>
    <ion-card>
      <ion-card-header>
        <ion-card-title>Dispensar</ion-card-title>
        <ion-card-subtitle>Puedes dispensar una pastilla presionando botón</ion-card-subtitle>
      </ion-card-header>
    
      <ion-card-content>
        <ion-item>
          <ion-icon class="margin-auto medium" name="hand-right" color="tertiary"></ion-icon>
          <ion-button (click)="changeDispense()" class="margin-auto" color="tertiary">Arrojar pastilla</ion-button>
        </ion-item>
      </ion-card-content>
    </ion-card>

    <ion-card>
      <ion-card-header>
        <ion-card-title>Uso del dispensador</ion-card-title>
        <ion-card-subtitle>Datos sobre el uso del dispensador</ion-card-subtitle>
      </ion-card-header>
      
      <ion-card-content>
        <ion-item>
          
          <ion-chip class="margin-auto" color="secondary">
            <ion-label>Veces que se ha usado: </ion-label>
          </ion-chip>
        <ion-badge color="secondary" class="margin-auto"> {{ uses }}</ion-badge>
        </ion-item>
      </ion-card-content>
    </ion-card>

  </div>
</ion-content>
